Bug 1447677 - Soft kernel lockup with 4.10.12-200.fc25.x86_64 and 4.10.13-200.fc25.x86_64 on Dell XPS 15 9560
Soft kernel lockup with 4.10.12-200.fc25.x86_64 and 4.10.13-200.fc25.x86_64 o...
Status: NEW
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
28
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Reopened
: 912881 1054122 1257347 1315392 1399983 1470371 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-03 09:13 EDT by Galen Lynch
Modified: 2018-07-18 02:50 EDT (History)
31 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:05:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel log with soft lockup, XPS 9560 (134.83 KB, text/plain)
2017-05-17 08:33 EDT, Peifeng Liu
no flags Details
4.10.14-200.fc25.x86_64 kernel log with lockup dell xps 9560 (106.46 KB, text/plain)
2017-05-17 09:43 EDT, Galen Lynch
no flags Details
Kernel log with acpi_rev_override=5 (151.40 KB, text/plain)
2017-05-17 22:59 EDT, Galen Lynch
no flags Details
Kernel log, XPS 15+Fedora 26 Alpha, kernel 4.11.3-300.fc26.x86_64 (100.66 KB, text/plain)
2017-05-26 20:26 EDT, Peifeng Liu
no flags Details
Kernel log, XPS 15+Fedora 26 Alpha, vanilla kernel 4.12.0-rc5 (94.22 KB, text/plain)
2017-06-13 12:59 EDT, Peifeng Liu
no flags Details

  None (edit)
Description Galen Lynch 2017-05-03 09:13:43 EDT
Description of problem: Kernel lockup with 4.10.12 and 4.10.13 make machine unusable


Version-Release number of selected component (if applicable): 4.10.12, 4.10.13


How reproducible: Probably hardware dependent, it looks like the problem is coming from nouveau drivers for the nvidia gtx 1050. This happens every time I attempt to boot with the new kernels


Steps to Reproduce:
1. update kernel to 4.10.12
2. reboot machine
3.

Actual results:
Cannot log on, but I get to the login screen

Expected results:


Additional info:
Here is the a brief section of journalctl output during a lockup:

-- Logs begin at Fri 2017-01-27 14:28:28 EST, end at Wed 2017-05-03 09:09:58 EDT. --
May 03 08:33:23 gl-xps15 kernel: NMI watchdog: BUG: soft lockup - CPU#5 stuck for 22s! [libvirtd:1143]
May 03 08:33:23 gl-xps15 kernel: Modules linked in: tun(+) ebtable_nat(+) ip6table_raw ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_raw iptable_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c ebtable_filter ebtables ip6table_filter ip6_tables bnep dm_crypt arc4 vfat fat tpm_crb iTCO_wdt mei_wdt iTCO_vendor_support i2c_designware_platform i2c_designware_core snd_hda_codec_hdmi dell_wmi intel_rapl dell_led dell_smbios x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_realtek snd_hda_codec_generic ath10k_pci dcdbas ath10k_core kvm_intel kvm mac80211 snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq irqbypass crct10dif_pclmul snd_seq_device crc32_pclmul snd_pcm ath ghash_clmulni_intel
May 03 08:33:23 gl-xps15 kernel:  cfg80211 uvcvideo videobuf2_vmalloc snd_timer videobuf2_memops snd videobuf2_v4l2 videobuf2_core soundcore i2c_i801 rtsx_pci_ms videodev joydev memstick mei_me media btusb mei btrtl hci_uart idma64 btbcm btqca shpchp processor_thermal_device btintel intel_lpss_pci intel_soc_dts_iosf intel_pch_thermal bluetooth dell_smo8800 rfkill acpi_als pinctrl_sunrisepoint kfifo_buf pinctrl_intel int3403_thermal industrialio intel_lpss_acpi int340x_thermal_zone intel_lpss intel_hid sparse_keymap tpm_tis tpm_tis_core int3400_thermal acpi_pad tpm acpi_thermal_rel nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_multitouch i915 nouveau rtsx_pci_sdmmc mmc_core mxm_wmi ttm i2c_algo_bit drm_kms_helper drm crc32c_intel serio_raw nvme rtsx_pci nvme_core i2c_hid wmi video fjes
May 03 08:33:23 gl-xps15 kernel: CPU: 5 PID: 1143 Comm: libvirtd Not tainted 4.10.13-200.fc25.x86_64 #1
May 03 08:33:23 gl-xps15 kernel: Hardware name: Dell Inc. XPS 15 9560/05FFDN, BIOS 1.2.4 03/29/2017
May 03 08:33:23 gl-xps15 kernel: task: ffff9a1717e3cc00 task.stack: ffffb380438ac000
May 03 08:33:23 gl-xps15 kernel: RIP: 0010:ioread32+0x30/0x40
May 03 08:33:23 gl-xps15 kernel: RSP: 0018:ffffb380438afa00 EFLAGS: 00000296 ORIG_RAX: ffffffffffffff10
May 03 08:33:23 gl-xps15 kernel: RAX: 00000000ffffffff RBX: ffff9a1727ae1800 RCX: 0000000000000018
May 03 08:33:23 gl-xps15 kernel: RDX: 000003a0f100b5a0 RSI: ffffb3804610a014 RDI: ffffb38046009410
May 03 08:33:23 gl-xps15 kernel: RBP: ffffb380438afa20 R08: 0000000000000002 R09: ffffb380438afa0c
May 03 08:33:23 gl-xps15 kernel: R10: 0000000000000000 R11: 0000000000000000 R12: ffff9a1727ae1800
May 03 08:33:23 gl-xps15 kernel: R13: ffff9a1726f0f540 R14: ffffffffffffffff R15: ffff9a1726f006c0
May 03 08:33:23 gl-xps15 kernel: FS:  00007fe6538d1700(0000) GS:ffff9a173f540000(0000) knlGS:0000000000000000
May 03 08:33:23 gl-xps15 kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
May 03 08:33:23 gl-xps15 kernel: CR2: 00007fb8a6b03070 CR3: 0000000457f59000 CR4: 00000000003406e0
May 03 08:33:23 gl-xps15 kernel: Call Trace:
May 03 08:33:23 gl-xps15 kernel:  ? nv04_timer_read+0x22/0x60 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  nvkm_timer_read+0xf/0x20 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  nvkm_pmu_reset+0x71/0x160 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  nvkm_pmu_preinit+0x12/0x20 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  nvkm_subdev_preinit+0x34/0x110 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  nvkm_device_init+0x62/0x280 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  nvkm_udevice_init+0x48/0x60 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  nvkm_object_init+0x40/0x190 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  nvkm_object_init+0xb4/0x190 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  nvkm_client_init+0xe/0x10 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  nvkm_client_resume+0xe/0x10 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  nvif_client_resume+0x17/0x20 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  nouveau_do_resume+0x4b/0x130 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  nouveau_pmops_runtime_resume+0x78/0x150 [nouveau]
May 03 08:33:23 gl-xps15 kernel:  ? pci_restore_standard_config+0x40/0x40
May 03 08:33:23 gl-xps15 kernel:  pci_pm_runtime_resume+0x7b/0xa0
May 03 08:33:23 gl-xps15 kernel:  __rpm_callback+0xc2/0x200
May 03 08:33:23 gl-xps15 kernel:  rpm_callback+0x24/0x80
May 03 08:33:23 gl-xps15 kernel:  ? pci_restore_standard_config+0x40/0x40
May 03 08:33:23 gl-xps15 kernel:  rpm_resume+0x4a4/0x6b0
May 03 08:33:23 gl-xps15 kernel:  ? terminate_walk+0xe0/0xf0
May 03 08:33:23 gl-xps15 kernel:  pm_runtime_barrier+0x8d/0xb0
May 03 08:33:23 gl-xps15 kernel:  pci_config_pm_runtime_get+0x3b/0x60
May 03 08:33:23 gl-xps15 kernel:  pci_read_config+0x8f/0x280
May 03 08:33:23 gl-xps15 kernel:  sysfs_kf_bin_read+0x4a/0x70
May 03 08:33:23 gl-xps15 kernel:  kernfs_fop_read+0xae/0x180
May 03 08:33:23 gl-xps15 kernel:  __vfs_read+0x37/0x150
May 03 08:33:23 gl-xps15 kernel:  ? security_file_permission+0x9b/0xc0
May 03 08:33:23 gl-xps15 kernel:  vfs_read+0x96/0x130
May 03 08:33:23 gl-xps15 kernel:  SyS_pread64+0x95/0xb0
May 03 08:33:23 gl-xps15 kernel:  entry_SYSCALL_64_fastpath+0x1a/0xa9
May 03 08:33:23 gl-xps15 kernel: RIP: 0033:0x7fe68221cda3
May 03 08:33:23 gl-xps15 kernel: RSP: 002b:00007fe6538d0950 EFLAGS: 00000293 ORIG_RAX: 0000000000000011
May 03 08:33:23 gl-xps15 kernel: RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007fe68221cda3
May 03 08:33:23 gl-xps15 kernel: RDX: 0000000000000030 RSI: 00007fe6538d0b90 RDI: 0000000000000013
May 03 08:33:23 gl-xps15 kernel: RBP: 0000000000000000 R08: 0000000000000000 R09: 0000000000000028
May 03 08:33:23 gl-xps15 kernel: R10: 0000000000000000 R11: 0000000000000293 R12: 0000000000000013
May 03 08:33:23 gl-xps15 kernel: R13: 0000000000000030 R14: 00007fe6538d0af8 R15: 0000000000000030
May 03 08:33:23 gl-xps15 kernel: Code: 03 00 77 25 48 81 ff 00 00 01 00 76 05 0f b7 d7 ed c3 55 48 c7 c6 42 16 c9 9f 48 89 e5 e8 19 ff ff ff b8 ff ff ff ff 5d c3 8b 07 <c3> 0f 1f 44 00 00 66 2e 0f 1f 84 00 00 00 00 00 48 81 fe ff ff 
May 03 08:33:38 gl-xps15 kernel: PM: Syncing filesystems ... done.
May 03 08:33:38 gl-xps15 kernel: PM: Preparing system for sleep (mem)
May 03 08:33:51 gl-xps15 kernel: NMI watchdog: BUG: soft lockup - CPU#5 stuck for 22s! [libvirtd:1143]
May 03 08:33:51 gl-xps15 kernel: Modules linked in: tun(+) ebtable_nat(+) ip6table_raw ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_raw iptable_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c ebtable_filter ebtables ip6table_filter ip6_tables bnep dm_crypt arc4 vfat fat tpm_crb iTCO_wdt mei_wdt iTCO_vendor_support i2c_designware_platform i2c_designware_core snd_hda_codec_hdmi dell_wmi intel_rapl dell_led dell_smbios x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_realtek snd_hda_codec_generic ath10k_pci dcdbas ath10k_core kvm_intel kvm mac80211 snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq irqbypass crct10dif_pclmul snd_seq_device crc32_pclmul snd_pcm ath ghash_clmulni_intel
May 03 08:33:51 gl-xps15 kernel:  cfg80211 uvcvideo videobuf2_vmalloc snd_timer videobuf2_memops snd videobuf2_v4l2 videobuf2_core soundcore i2c_i801 rtsx_pci_ms videodev joydev memstick mei_me media btusb mei btrtl hci_uart idma64 btbcm btqca shpchp processor_thermal_device btintel intel_lpss_pci intel_soc_dts_iosf intel_pch_thermal bluetooth dell_smo8800 rfkill acpi_als pinctrl_sunrisepoint kfifo_buf pinctrl_intel int3403_thermal industrialio intel_lpss_acpi int340x_thermal_zone intel_lpss intel_hid sparse_keymap tpm_tis tpm_tis_core int3400_thermal acpi_pad tpm acpi_thermal_rel nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_multitouch i915 nouveau rtsx_pci_sdmmc mmc_core mxm_wmi ttm i2c_algo_bit drm_kms_helper drm crc32c_intel serio_raw nvme rtsx_pci nvme_core i2c_hid wmi video fjes
May 03 08:33:51 gl-xps15 kernel: CPU: 5 PID: 1143 Comm: libvirtd Tainted: G             L  4.10.13-200.fc25.x86_64 #1
May 03 08:33:51 gl-xps15 kernel: Hardware name: Dell Inc. XPS 15 9560/05FFDN, BIOS 1.2.4 03/29/2017
May 03 08:33:51 gl-xps15 kernel: task: ffff9a1717e3cc00 task.stack: ffffb380438ac000
May 03 08:33:51 gl-xps15 kernel: RIP: 0010:ioread32+0x30/0x40
May 03 08:33:51 gl-xps15 kernel: RSP: 0018:ffffb380438afa00 EFLAGS: 00000292 ORIG_RAX: ffffffffffffff10
May 03 08:33:51 gl-xps15 kernel: RAX: 00000000ffffffff RBX: ffff9a1727ae1800 RCX: 0000000000000018
May 03 08:33:51 gl-xps15 kernel: RDX: 000003a0f100b5a0 RSI: ffffb3804610a014 RDI: ffffb38046009400
May 03 08:33:51 gl-xps15 kernel: RBP: ffffb380438afa20 R08: 0000000000000002 R09: ffffb380438afa0c
May 03 08:33:51 gl-xps15 kernel: R10: 0000000000000000 R11: 0000000000000000 R12: 00000000ffffffff
May 03 08:33:51 gl-xps15 kernel: R13: ffff9a1726f0f540 R14: ffffffffffffffff R15: ffff9a1726f006c0
May 03 08:33:51 gl-xps15 kernel: FS:  00007fe6538d1700(0000) GS:ffff9a173f540000(0000) knlGS:0000000000000000
May 03 08:33:51 gl-xps15 kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
May 03 08:33:51 gl-xps15 kernel: CR2: 00007fb8a6b03070 CR3: 0000000457f59000 CR4: 00000000003406e0
May 03 08:33:51 gl-xps15 kernel: Call Trace:
May 03 08:33:51 gl-xps15 kernel:  ? nv04_timer_read+0x35/0x60 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  nvkm_timer_read+0xf/0x20 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  nvkm_pmu_reset+0x71/0x160 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  nvkm_pmu_preinit+0x12/0x20 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  nvkm_subdev_preinit+0x34/0x110 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  nvkm_device_init+0x62/0x280 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  nvkm_udevice_init+0x48/0x60 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  nvkm_object_init+0x40/0x190 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  nvkm_object_init+0xb4/0x190 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  nvkm_client_init+0xe/0x10 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  nvkm_client_resume+0xe/0x10 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  nvif_client_resume+0x17/0x20 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  nouveau_do_resume+0x4b/0x130 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  nouveau_pmops_runtime_resume+0x78/0x150 [nouveau]
May 03 08:33:51 gl-xps15 kernel:  ? pci_restore_standard_config+0x40/0x40
May 03 08:33:51 gl-xps15 kernel:  pci_pm_runtime_resume+0x7b/0xa0
May 03 08:33:51 gl-xps15 kernel:  __rpm_callback+0xc2/0x200
May 03 08:33:51 gl-xps15 kernel:  rpm_callback+0x24/0x80
May 03 08:33:51 gl-xps15 kernel:  ? pci_restore_standard_config+0x40/0x40
May 03 08:33:51 gl-xps15 kernel:  rpm_resume+0x4a4/0x6b0
May 03 08:33:51 gl-xps15 kernel:  ? terminate_walk+0xe0/0xf0
May 03 08:33:51 gl-xps15 kernel:  pm_runtime_barrier+0x8d/0xb0
May 03 08:33:51 gl-xps15 kernel:  pci_config_pm_runtime_get+0x3b/0x60
May 03 08:33:51 gl-xps15 kernel:  pci_read_config+0x8f/0x280
May 03 08:33:51 gl-xps15 kernel:  sysfs_kf_bin_read+0x4a/0x70
May 03 08:33:51 gl-xps15 kernel:  kernfs_fop_read+0xae/0x180
May 03 08:33:51 gl-xps15 kernel:  __vfs_read+0x37/0x150
May 03 08:33:51 gl-xps15 kernel:  ? security_file_permission+0x9b/0xc0
May 03 08:33:51 gl-xps15 kernel:  vfs_read+0x96/0x130
May 03 08:33:51 gl-xps15 kernel:  SyS_pread64+0x95/0xb0
May 03 08:33:51 gl-xps15 kernel:  entry_SYSCALL_64_fastpath+0x1a/0xa9
May 03 08:33:51 gl-xps15 kernel: RIP: 0033:0x7fe68221cda3
May 03 08:33:51 gl-xps15 kernel: RSP: 002b:00007fe6538d0950 EFLAGS: 00000293 ORIG_RAX: 0000000000000011
May 03 08:33:51 gl-xps15 kernel: RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007fe68221cda3
May 03 08:33:51 gl-xps15 kernel: RDX: 0000000000000030 RSI: 00007fe6538d0b90 RDI: 0000000000000013
May 03 08:33:51 gl-xps15 kernel: RBP: 0000000000000000 R08: 0000000000000000 R09: 0000000000000028
May 03 08:33:51 gl-xps15 kernel: R10: 0000000000000000 R11: 0000000000000293 R12: 0000000000000013
May 03 08:33:51 gl-xps15 kernel: R13: 0000000000000030 R14: 00007fe6538d0af8 R15: 0000000000000030
May 03 08:33:51 gl-xps15 kernel: Code: 03 00 77 25 48 81 ff 00 00 01 00 76 05 0f b7 d7 ed c3 55 48 c7 c6 42 16 c9 9f 48 89 e5 e8 19 ff ff ff b8 ff ff ff ff 5d c3 8b 07 <c3> 0f 1f 44 00 00 66 2e 0f 1f 84 00 00 00 00 00 48 81 fe ff ff 
May 03 08:33:58 gl-xps15 kernel: INFO: rcu_sched self-detected stall on CPU
May 03 08:33:58 gl-xps15 kernel:         5-...: (59999 ticks this GP) idle=64f/140000000000001/0 softirq=639/639 fqs=14927 
May 03 08:33:58 gl-xps15 kernel:          (t=60000 jiffies g=488 c=487 q=0)
May 03 08:33:58 gl-xps15 kernel: Task dump for CPU 5:
May 03 08:33:58 gl-xps15 kernel: libvirtd        R  running task        0  1143      1 0x00000008
May 03 08:33:58 gl-xps15 kernel: Call Trace:
May 03 08:33:58 gl-xps15 kernel:  <IRQ>
May 03 08:33:58 gl-xps15 kernel:  sched_show_task+0xd3/0x140
May 03 08:33:58 gl-xps15 kernel:  dump_cpu_task+0x37/0x40
May 03 08:33:58 gl-xps15 kernel:  rcu_dump_cpu_stacks+0x9c/0xc0
May 03 08:33:58 gl-xps15 kernel:  rcu_check_callbacks+0x799/0x8e0
May 03 08:33:58 gl-xps15 kernel:  ? tick_sched_do_timer+0x60/0x60
May 03 08:33:58 gl-xps15 kernel:  update_process_times+0x2f/0x60
May 03 08:33:58 gl-xps15 kernel:  tick_sched_handle.isra.18+0x25/0x60
May 03 08:33:58 gl-xps15 kernel:  tick_sched_timer+0x3d/0x70
May 03 08:33:58 gl-xps15 kernel:  __hrtimer_run_queues+0xe0/0x230
May 03 08:33:58 gl-xps15 kernel:  hrtimer_interrupt+0xa3/0x1d0
May 03 08:33:58 gl-xps15 kernel:  local_apic_timer_interrupt+0x38/0x60
May 03 08:33:58 gl-xps15 kernel:  smp_apic_timer_interrupt+0x38/0x50
May 03 08:33:58 gl-xps15 kernel:  apic_timer_interrupt+0x93/0xa0
May 03 08:33:58 gl-xps15 kernel: RIP: 0010:ioread32+0x30/0x40
May 03 08:33:58 gl-xps15 kernel: RSP: 0018:ffffb380438afa00 EFLAGS: 00000296 ORIG_RAX: ffffffffffffff10
May 03 08:33:58 gl-xps15 kernel: RAX: 00000000ffffffff RBX: ffff9a1727ae1800 RCX: 0000000000000018
May 03 08:33:58 gl-xps15 kernel: RDX: 000003a0f100b5a0 RSI: ffffb3804610a014 RDI: ffffb38046009410
May 03 08:33:58 gl-xps15 kernel: RBP: ffffb380438afa20 R08: 0000000000000002 R09: ffffb380438afa0c
May 03 08:33:58 gl-xps15 kernel: R10: 0000000000000000 R11: 0000000000000000 R12: ffff9a1727ae1800
May 03 08:33:58 gl-xps15 kernel: R13: ffff9a1726f0f540 R14: ffffffffffffffff R15: ffff9a1726f006c0
May 03 08:33:58 gl-xps15 kernel:  </IRQ>
May 03 08:33:58 gl-xps15 kernel:  ? nv04_timer_read+0x22/0x60 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  nvkm_timer_read+0xf/0x20 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  nvkm_pmu_reset+0x71/0x160 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  nvkm_pmu_preinit+0x12/0x20 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  nvkm_subdev_preinit+0x34/0x110 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  nvkm_device_init+0x62/0x280 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  nvkm_udevice_init+0x48/0x60 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  nvkm_object_init+0x40/0x190 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  nvkm_object_init+0xb4/0x190 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  nvkm_client_init+0xe/0x10 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  nvkm_client_resume+0xe/0x10 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  nvif_client_resume+0x17/0x20 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  nouveau_do_resume+0x4b/0x130 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  nouveau_pmops_runtime_resume+0x78/0x150 [nouveau]
May 03 08:33:58 gl-xps15 kernel:  ? pci_restore_standard_config+0x40/0x40
May 03 08:33:58 gl-xps15 kernel:  pci_pm_runtime_resume+0x7b/0xa0
May 03 08:33:58 gl-xps15 kernel:  __rpm_callback+0xc2/0x200
May 03 08:33:58 gl-xps15 kernel:  rpm_callback+0x24/0x80
May 03 08:33:58 gl-xps15 kernel:  ? pci_restore_standard_config+0x40/0x40
May 03 08:33:58 gl-xps15 kernel:  rpm_resume+0x4a4/0x6b0
May 03 08:33:58 gl-xps15 kernel:  ? terminate_walk+0xe0/0xf0
May 03 08:33:58 gl-xps15 kernel:  pm_runtime_barrier+0x8d/0xb0
May 03 08:33:58 gl-xps15 kernel:  pci_config_pm_runtime_get+0x3b/0x60
May 03 08:33:58 gl-xps15 kernel:  pci_read_config+0x8f/0x280
May 03 08:33:58 gl-xps15 kernel:  sysfs_kf_bin_read+0x4a/0x70
May 03 08:33:58 gl-xps15 kernel:  kernfs_fop_read+0xae/0x180
May 03 08:33:58 gl-xps15 kernel:  __vfs_read+0x37/0x150
May 03 08:33:58 gl-xps15 kernel:  ? security_file_permission+0x9b/0xc0
May 03 08:33:58 gl-xps15 kernel:  vfs_read+0x96/0x130
May 03 08:33:58 gl-xps15 kernel:  SyS_pread64+0x95/0xb0
May 03 08:33:58 gl-xps15 kernel:  entry_SYSCALL_64_fastpath+0x1a/0xa9
May 03 08:33:58 gl-xps15 kernel: RIP: 0033:0x7fe68221cda3
May 03 08:33:58 gl-xps15 kernel: RSP: 002b:00007fe6538d0950 EFLAGS: 00000293 ORIG_RAX: 0000000000000011
May 03 08:33:58 gl-xps15 kernel: RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007fe68221cda3
May 03 08:33:58 gl-xps15 kernel: RDX: 0000000000000030 RSI: 00007fe6538d0b90 RDI: 0000000000000013
May 03 08:33:58 gl-xps15 kernel: RBP: 0000000000000000 R08: 0000000000000000 R09: 0000000000000028
May 03 08:33:58 gl-xps15 kernel: R10: 0000000000000000 R11: 0000000000000293 R12: 0000000000000013
May 03 08:33:58 gl-xps15 kernel: R13: 0000000000000030 R14: 00007fe6538d0af8 R15: 0000000000000030
May 03 08:34:02 gl-xps15 kernel: INFO: rcu_sched detected expedited stalls on CPUs/tasks: { 5-... } 61378 jiffies s: 1127 root: 0x20/.
May 03 08:34:02 gl-xps15 kernel: blocking rcu_node structures:
May 03 08:34:02 gl-xps15 kernel: Task dump for CPU 5:
May 03 08:34:02 gl-xps15 kernel: libvirtd        R  running task        0  1143      1 0x00000008
May 03 08:34:02 gl-xps15 kernel: Call Trace:
May 03 08:34:02 gl-xps15 kernel:  ? sched_clock+0x9/0x10
May 03 08:34:02 gl-xps15 kernel:  ? sched_clock_cpu+0x99/0xb0
May 03 08:34:02 gl-xps15 kernel:  ? up+0x32/0x50
May 03 08:34:02 gl-xps15 kernel:  ? irq_work_queue+0x8d/0xa0
May 03 08:34:02 gl-xps15 kernel:  ? console_unlock+0x2a8/0x4a0
May 03 08:34:02 gl-xps15 kernel:  ? ioread32+0x30/0x40
May 03 08:34:02 gl-xps15 kernel:  ? nv04_timer_read+0x35/0x60 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? nvkm_timer_read+0xf/0x20 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? nvkm_pmu_reset+0x71/0x160 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? nvkm_pmu_preinit+0x12/0x20 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? nvkm_subdev_preinit+0x34/0x110 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? nvkm_device_init+0x62/0x280 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? nvkm_udevice_init+0x48/0x60 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? nvkm_object_init+0x40/0x190 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? nvkm_object_init+0xb4/0x190 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? nvkm_client_init+0xe/0x10 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? nvkm_client_resume+0xe/0x10 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? nvif_client_resume+0x17/0x20 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? nouveau_do_resume+0x4b/0x130 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? nouveau_pmops_runtime_resume+0x78/0x150 [nouveau]
May 03 08:34:02 gl-xps15 kernel:  ? pci_restore_standard_config+0x40/0x40
May 03 08:34:02 gl-xps15 kernel:  ? pci_pm_runtime_resume+0x7b/0xa0
May 03 08:34:02 gl-xps15 kernel:  ? __rpm_callback+0xc2/0x200
May 03 08:34:02 gl-xps15 kernel:  ? rpm_callback+0x24/0x80
May 03 08:34:02 gl-xps15 kernel:  ? pci_restore_standard_config+0x40/0x40
May 03 08:34:02 gl-xps15 kernel:  ? rpm_resume+0x4a4/0x6b0
May 03 08:34:02 gl-xps15 kernel:  ? terminate_walk+0xe0/0xf0
May 03 08:34:02 gl-xps15 kernel:  ? pm_runtime_barrier+0x8d/0xb0
May 03 08:34:02 gl-xps15 kernel:  ? pci_config_pm_runtime_get+0x3b/0x60
May 03 08:34:02 gl-xps15 kernel:  ? pci_read_config+0x8f/0x280
May 03 08:34:02 gl-xps15 kernel:  ? sysfs_kf_bin_read+0x4a/0x70
May 03 08:34:02 gl-xps15 kernel:  ? kernfs_fop_read+0xae/0x180
May 03 08:34:02 gl-xps15 kernel:  ? __vfs_read+0x37/0x150
May 03 08:34:02 gl-xps15 kernel:  ? security_file_permission+0x9b/0xc0
May 03 08:34:02 gl-xps15 kernel:  ? vfs_read+0x96/0x130
May 03 08:34:02 gl-xps15 kernel:  ? SyS_pread64+0x95/0xb0
May 03 08:34:02 gl-xps15 kernel:  ? entry_SYSCALL_64_fastpath+0x1a/0xa9
May 03 08:34:23 gl-xps15 kernel: NMI watchdog: BUG: soft lockup - CPU#5 stuck for 22s! [libvirtd:1143]
May 03 08:34:23 gl-xps15 kernel: Modules linked in: tun(+) ebtable_nat(+) ip6table_raw ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_raw iptable_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c ebtable_filter ebtables ip6table_filter ip6_tables bnep dm_crypt arc4 vfat fat tpm_crb iTCO_wdt mei_wdt iTCO_vendor_support i2c_designware_platform i2c_designware_core snd_hda_codec_hdmi dell_wmi intel_rapl dell_led dell_smbios x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_realtek snd_hda_codec_generic ath10k_pci dcdbas ath10k_core kvm_intel kvm mac80211 snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq irqbypass crct10dif_pclmul snd_seq_device crc32_pclmul snd_pcm ath ghash_clmulni_intel
May 03 08:34:23 gl-xps15 kernel:  cfg80211 uvcvideo videobuf2_vmalloc snd_timer videobuf2_memops snd videobuf2_v4l2 videobuf2_core soundcore i2c_i801 rtsx_pci_ms videodev joydev memstick mei_me media btusb mei btrtl hci_uart idma64 btbcm btqca shpchp processor_thermal_device btintel intel_lpss_pci intel_soc_dts_iosf intel_pch_thermal bluetooth dell_smo8800 rfkill acpi_als pinctrl_sunrisepoint kfifo_buf pinctrl_intel int3403_thermal industrialio intel_lpss_acpi int340x_thermal_zone intel_lpss intel_hid sparse_keymap tpm_tis tpm_tis_core int3400_thermal acpi_pad tpm acpi_thermal_rel nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_multitouch i915 nouveau rtsx_pci_sdmmc mmc_core mxm_wmi ttm i2c_algo_bit drm_kms_helper drm crc32c_intel serio_raw nvme rtsx_pci nvme_core i2c_hid wmi video fjes
May 03 08:34:23 gl-xps15 kernel: CPU: 5 PID: 1143 Comm: libvirtd Tainted: G             L  4.10.13-200.fc25.x86_64 #1
May 03 08:34:23 gl-xps15 kernel: Hardware name: Dell Inc. XPS 15 9560/05FFDN, BIOS 1.2.4 03/29/2017
May 03 08:34:23 gl-xps15 kernel: task: ffff9a1717e3cc00 task.stack: ffffb380438ac000
May 03 08:34:23 gl-xps15 kernel: RIP: 0010:ioread32+0x30/0x40
May 03 08:34:23 gl-xps15 kernel: RSP: 0018:ffffb380438afa00 EFLAGS: 00000296 ORIG_RAX: ffffffffffffff10
May 03 08:34:23 gl-xps15 kernel: RAX: 00000000ffffffff RBX: ffff9a1727ae1800 RCX: 0000000000000018
May 03 08:34:23 gl-xps15 kernel: RDX: 000003a0f100b5a0 RSI: ffffb3804610a014 RDI: ffffb38046009410
May 03 08:34:23 gl-xps15 kernel: RBP: ffffb380438afa20 R08: 0000000000000002 R09: ffffb380438afa0c
May 03 08:34:23 gl-xps15 kernel: R10: 0000000000000000 R11: 0000000000000000 R12: ffff9a1727ae1800
May 03 08:34:23 gl-xps15 kernel: R13: ffff9a1726f0f540 R14: ffffffffffffffff R15: ffff9a1726f006c0
May 03 08:34:23 gl-xps15 kernel: FS:  00007fe6538d1700(0000) GS:ffff9a173f540000(0000) knlGS:0000000000000000
May 03 08:34:23 gl-xps15 kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
May 03 08:34:23 gl-xps15 kernel: CR2: 00007fb8a6b03070 CR3: 0000000457f59000 CR4: 00000000003406e0
May 03 08:34:23 gl-xps15 kernel: Call Trace:
May 03 08:34:23 gl-xps15 kernel:  ? nv04_timer_read+0x22/0x60 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  nvkm_timer_read+0xf/0x20 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  nvkm_pmu_reset+0x71/0x160 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  nvkm_pmu_preinit+0x12/0x20 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  nvkm_subdev_preinit+0x34/0x110 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  nvkm_device_init+0x62/0x280 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  nvkm_udevice_init+0x48/0x60 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  nvkm_object_init+0x40/0x190 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  nvkm_object_init+0xb4/0x190 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  nvkm_client_init+0xe/0x10 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  nvkm_client_resume+0xe/0x10 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  nvif_client_resume+0x17/0x20 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  nouveau_do_resume+0x4b/0x130 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  nouveau_pmops_runtime_resume+0x78/0x150 [nouveau]
May 03 08:34:23 gl-xps15 kernel:  ? pci_restore_standard_config+0x40/0x40
May 03 08:34:23 gl-xps15 kernel:  pci_pm_runtime_resume+0x7b/0xa0
May 03 08:34:23 gl-xps15 kernel:  __rpm_callback+0xc2/0x200
May 03 08:34:23 gl-xps15 kernel:  rpm_callback+0x24/0x80
May 03 08:34:23 gl-xps15 kernel:  ? pci_restore_standard_config+0x40/0x40
May 03 08:34:23 gl-xps15 kernel:  rpm_resume+0x4a4/0x6b0
May 03 08:34:23 gl-xps15 kernel:  ? terminate_walk+0xe0/0xf0
May 03 08:34:23 gl-xps15 kernel:  pm_runtime_barrier+0x8d/0xb0
May 03 08:34:23 gl-xps15 kernel:  pci_config_pm_runtime_get+0x3b/0x60
May 03 08:34:23 gl-xps15 kernel:  pci_read_config+0x8f/0x280
May 03 08:34:23 gl-xps15 kernel:  sysfs_kf_bin_read+0x4a/0x70
May 03 08:34:23 gl-xps15 kernel:  kernfs_fop_read+0xae/0x180
May 03 08:34:23 gl-xps15 kernel:  __vfs_read+0x37/0x150
May 03 08:34:23 gl-xps15 kernel:  ? security_file_permission+0x9b/0xc0
May 03 08:34:23 gl-xps15 kernel:  vfs_read+0x96/0x130
May 03 08:34:23 gl-xps15 kernel:  SyS_pread64+0x95/0xb0
May 03 08:34:23 gl-xps15 kernel:  entry_SYSCALL_64_fastpath+0x1a/0xa9
May 03 08:34:23 gl-xps15 kernel: RIP: 0033:0x7fe68221cda3
May 03 08:34:23 gl-xps15 kernel: RSP: 002b:00007fe6538d0950 EFLAGS: 00000293 ORIG_RAX: 0000000000000011
May 03 08:34:23 gl-xps15 kernel: RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007fe68221cda3
May 03 08:34:23 gl-xps15 kernel: RDX: 0000000000000030 RSI: 00007fe6538d0b90 RDI: 0000000000000013
May 03 08:34:23 gl-xps15 kernel: RBP: 0000000000000000 R08: 0000000000000000 R09: 0000000000000028
May 03 08:34:23 gl-xps15 kernel: R10: 0000000000000000 R11: 0000000000000293 R12: 0000000000000013
May 03 08:34:23 gl-xps15 kernel: R13: 0000000000000030 R14: 00007fe6538d0af8 R15: 0000000000000030
May 03 08:34:23 gl-xps15 kernel: Code: 03 00 77 25 48 81 ff 00 00 01 00 76 05 0f b7 d7 ed c3 55 48 c7 c6 42 16 c9 9f 48 89 e5 e8 19 ff ff ff b8 ff ff ff ff 5d c3 8b 07 <c3> 0f 1f 44 00 00 66 2e 0f 1f 84 00 00 00 00 00 48 81 fe ff ff 
May 03 08:34:51 gl-xps15 kernel: NMI watchdog: BUG: soft lockup - CPU#5 stuck for 22s! [libvirtd:1143]
May 03 08:34:51 gl-xps15 kernel: Modules linked in: tun(+) ebtable_nat(+) ip6table_raw ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_raw iptable_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c ebtable_filter ebtables ip6table_filter ip6_tables bnep dm_crypt arc4 vfat fat tpm_crb iTCO_wdt mei_wdt iTCO_vendor_support i2c_designware_platform i2c_designware_core snd_hda_codec_hdmi dell_wmi intel_rapl dell_led dell_smbios x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_realtek snd_hda_codec_generic ath10k_pci dcdbas ath10k_core kvm_intel kvm mac80211 snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq irqbypass crct10dif_pclmul snd_seq_device crc32_pclmul snd_pcm ath ghash_clmulni_intel
May 03 08:34:51 gl-xps15 kernel:  cfg80211 uvcvideo videobuf2_vmalloc snd_timer videobuf2_memops snd videobuf2_v4l2 videobuf2_core soundcore i2c_i801 rtsx_pci_ms videodev joydev memstick mei_me media btusb mei btrtl hci_uart idma64 btbcm btqca shpchp processor_thermal_device btintel intel_lpss_pci intel_soc_dts_iosf intel_pch_thermal bluetooth dell_smo8800 rfkill acpi_als pinctrl_sunrisepoint kfifo_buf pinctrl_intel int3403_thermal industrialio intel_lpss_acpi int340x_thermal_zone intel_lpss intel_hid sparse_keymap tpm_tis tpm_tis_core int3400_thermal acpi_pad tpm acpi_thermal_rel nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_multitouch i915 nouveau rtsx_pci_sdmmc mmc_core mxm_wmi ttm i2c_algo_bit drm_kms_helper drm crc32c_intel serio_raw nvme rtsx_pci nvme_core i2c_hid wmi video fjes
May 03 08:34:51 gl-xps15 kernel: CPU: 5 PID: 1143 Comm: libvirtd Tainted: G             L  4.10.13-200.fc25.x86_64 #1
May 03 08:34:51 gl-xps15 kernel: Hardware name: Dell Inc. XPS 15 9560/05FFDN, BIOS 1.2.4 03/29/2017
May 03 08:34:51 gl-xps15 kernel: task: ffff9a1717e3cc00 task.stack: ffffb380438ac000
May 03 08:34:51 gl-xps15 kernel: RIP: 0010:ioread32+0x30/0x40
May 03 08:34:51 gl-xps15 kernel: RSP: 0018:ffffb380438afa00 EFLAGS: 00000296 ORIG_RAX: ffffffffffffff10
May 03 08:34:51 gl-xps15 kernel: RAX: 00000000ffffffff RBX: ffff9a1727ae1800 RCX: 0000000000000018
May 03 08:34:51 gl-xps15 kernel: RDX: 000003a0f100b5a0 RSI: ffffb3804610a014 RDI: ffffb38046009410
May 03 08:34:51 gl-xps15 kernel: RBP: ffffb380438afa20 R08: 0000000000000002 R09: ffffb380438afa0c
May 03 08:34:51 gl-xps15 kernel: R10: 0000000000000000 R11: 0000000000000000 R12: 00000000ffffffff
May 03 08:34:51 gl-xps15 kernel: R13: 00000000ffffffff R14: ffffffffffffffff R15: ffff9a1726f006c0
May 03 08:34:51 gl-xps15 kernel: FS:  00007fe6538d1700(0000) GS:ffff9a173f540000(0000) knlGS:0000000000000000
May 03 08:34:51 gl-xps15 kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
May 03 08:34:51 gl-xps15 kernel: CR2: 00007fb8a6b03070 CR3: 0000000457f59000 CR4: 00000000003406e0
May 03 08:34:51 gl-xps15 kernel: Call Trace:
May 03 08:34:51 gl-xps15 kernel:  ? nv04_timer_read+0x48/0x60 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  nvkm_timer_read+0xf/0x20 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  nvkm_pmu_reset+0x71/0x160 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  nvkm_pmu_preinit+0x12/0x20 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  nvkm_subdev_preinit+0x34/0x110 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  nvkm_device_init+0x62/0x280 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  nvkm_udevice_init+0x48/0x60 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  nvkm_object_init+0x40/0x190 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  nvkm_object_init+0xb4/0x190 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  nvkm_client_init+0xe/0x10 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  nvkm_client_resume+0xe/0x10 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  nvif_client_resume+0x17/0x20 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  nouveau_do_resume+0x4b/0x130 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  nouveau_pmops_runtime_resume+0x78/0x150 [nouveau]
May 03 08:34:51 gl-xps15 kernel:  ? pci_restore_standard_config+0x40/0x40
May 03 08:34:51 gl-xps15 kernel:  pci_pm_runtime_resume+0x7b/0xa0
May 03 08:34:51 gl-xps15 kernel:  __rpm_callback+0xc2/0x200
May 03 08:34:51 gl-xps15 kernel:  rpm_callback+0x24/0x80
May 03 08:34:51 gl-xps15 kernel:  ? pci_restore_standard_config+0x40/0x40
May 03 08:34:51 gl-xps15 kernel:  rpm_resume+0x4a4/0x6b0
May 03 08:34:51 gl-xps15 kernel:  ? terminate_walk+0xe0/0xf0
May 03 08:34:51 gl-xps15 kernel:  pm_runtime_barrier+0x8d/0xb0
May 03 08:34:51 gl-xps15 kernel:  pci_config_pm_runtime_get+0x3b/0x60
May 03 08:34:51 gl-xps15 kernel:  pci_read_config+0x8f/0x280
May 03 08:34:51 gl-xps15 kernel:  sysfs_kf_bin_read+0x4a/0x70
May 03 08:34:51 gl-xps15 kernel:  kernfs_fop_read+0xae/0x180
May 03 08:34:51 gl-xps15 kernel:  __vfs_read+0x37/0x150
May 03 08:34:51 gl-xps15 kernel:  ? security_file_permission+0x9b/0xc0
May 03 08:34:51 gl-xps15 kernel:  vfs_read+0x96/0x130
May 03 08:34:51 gl-xps15 kernel:  SyS_pread64+0x95/0xb0
May 03 08:34:51 gl-xps15 kernel:  entry_SYSCALL_64_fastpath+0x1a/0xa9
May 03 08:34:51 gl-xps15 kernel: RIP: 0033:0x7fe68221cda3
May 03 08:34:51 gl-xps15 kernel: RSP: 002b:00007fe6538d0950 EFLAGS: 00000293 ORIG_RAX: 0000000000000011
May 03 08:34:51 gl-xps15 kernel: RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007fe68221cda3
May 03 08:34:51 gl-xps15 kernel: RDX: 0000000000000030 RSI: 00007fe6538d0b90 RDI: 0000000000000013
May 03 08:34:51 gl-xps15 kernel: RBP: 0000000000000000 R08: 0000000000000000 R09: 0000000000000028
May 03 08:34:51 gl-xps15 kernel: R10: 0000000000000000 R11: 0000000000000293 R12: 0000000000000013
May 03 08:34:51 gl-xps15 kernel: R13: 0000000000000030 R14: 00007fe6538d0af8 R15: 0000000000000030
May 03 08:34:51 gl-xps15 kernel: Code: 03 00 77 25 48 81 ff 00 00 01 00 76 05 0f b7 d7 ed c3 55 48 c7 c6 42 16 c9 9f 48 89 e5 e8 19 ff ff ff b8 ff ff ff ff 5d c3 8b 07 <c3> 0f 1f 44 00 00 66 2e 0f 1f 84 00 00 00 00 00 48 81 fe ff ff 


And here is the output of lspci for my 1050 gpu:

01:00.0 3D controller: NVIDIA Corporation GP107M [GeForce GTX 1050 Mobile] (rev a1)
	Subsystem: Dell Device 07be
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at ec000000 (32-bit, non-prefetchable) [size=16M]
	Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Memory at d0000000 (64-bit, prefetchable) [size=32M]
	I/O ports at e000 [size=128]
	Expansion ROM at ed000000 [disabled] [size=512K]
	Capabilities: [60] Power Management version 3
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [250] Latency Tolerance Reporting
	Capabilities: [258] L1 PM Substates
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [420] Advanced Error Reporting
	Capabilities: [600] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
	Capabilities: [900] #19
	Kernel modules: nouveau
Comment 1 Michael W. Heiss 2017-05-10 10:24:17 EDT
I can confirm this bug on my Dell XPS 15 9560 as well.

The last working kernel was 4.10.10. Every update since then (up to and including 4.10.14) crashes on the graphical login.
Comment 2 Michael W. Heiss 2017-05-10 10:34:07 EDT
Apparently someone had the same problem with an Ubuntu build and they tracked the problem to this specific commit:

commit 3287a46c7829c7c949862bc926cb8dda6756d6a1
Author: Ben Skeggs <bskeggs@redhat.com>
Date:   Thu Apr 6 10:35:26 2017 +1000

    drm/nouveau: initial support (display-only) for GP107
    
    commit da2ba564a6dcf46df4f828624ff55531ff11d5b0 upstream.
    
    Forked from GP106 implementation.
    
    Split out from commit enabling secboot/gr support so that it can be
    added to earlier kernels.
    
    Signed-off-by: Ben Skeggs <bskeggs@redhat.com>
    Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>

Maybe that helps...
Comment 3 Galen Lynch 2017-05-12 08:07:47 EDT
This also happens on 4.10.14.
Comment 4 Peifeng Liu 2017-05-15 04:53:19 EDT
I have the same problem with 4.11.0-2.fc26 on my 9560. On the other hand, rc3 from the live CD works fine.

Michael's Comment 2 sounds very plausible to me: the first time I installed F26 alpha it was OK, but I vaguely remember the problem started around rc8. It seems the commit was accepted in rc7.
Comment 5 Laura Abbott 2017-05-15 12:12:57 EDT
Thanks for the pointer to the commit. Let's have the nouveau team look at this.
Comment 6 Ben Skeggs 2017-05-16 16:46:53 EDT
Can you post the full kernel log please?  I suspect that PCI/ACPI aren't powering up the device properly when nouveau asks it to.

You can likely work around this with "nouveau.runpm=0" in your kernel options in the meantime.
Comment 7 Galen Lynch 2017-05-16 23:12:43 EDT
I can't figure out how to generate a full kernel log, because I cannot boot into linux in the affected kernels. Is there some way that I can get the output of dmesg after I boot but before I can use gnome or a virtual terminal?
Comment 8 Peifeng Liu 2017-05-17 08:33 EDT
Created attachment 1279686 [details]
Kernel log with soft lockup, XPS 9560
Comment 9 Peifeng Liu 2017-05-17 08:33:59 EDT
I tried to make one with
journalctl _TRANSPORT=kernel
and attached it above.
Comment 10 Peifeng Liu 2017-05-17 08:45:46 EDT
Adding nouveau.runpm=0 to the kernel options allows me to login.

$ uname -a
Linux junichi 4.11.0-2.fc26.x86_64 #1 SMP Tue May 9 15:24:49 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
Comment 11 Galen Lynch 2017-05-17 09:43 EDT
Created attachment 1279693 [details]
4.10.14-200.fc25.x86_64 kernel log with lockup dell xps 9560
Comment 12 Ben Skeggs 2017-05-17 18:34:54 EDT
Can you try booting with acpi_rev_override=5?

There are potentially other workarounds here: https://bugzilla.kernel.org/show_bug.cgi?id=156341

As far as I can tell, this isn't a bug in the driver, but the PCI/ACPI kernel layers.  As I read the kernel bug too, it hasn't been entirely solved.
Comment 13 Galen Lynch 2017-05-17 22:59 EDT
Created attachment 1279859 [details]
Kernel log with acpi_rev_override=5
Comment 14 Galen Lynch 2017-05-17 23:01:25 EDT
I tried booting with acpi_rev_override=5 and was unable to boot, with occasional soft lockup warnings. I have attached the kernel log with this boot option above.
Comment 15 Peifeng Liu 2017-05-26 20:23:18 EDT
I saw a bunch of commits from Ben Skeggs in 4.11.3 and tested the Fedora kernel. After typing my password, the mouse didn't freeze (I remember that's the case for older versions). But I still didn't get in, and tried to reboot by clicking the triangle in the top right corner. After clicking reboot(restart?) in the pop-up window the mouse froze and I rebooted with SysRq.
Comment 16 Peifeng Liu 2017-05-26 20:26 EDT
Created attachment 1282795 [details]
Kernel log, XPS 15+Fedora 26 Alpha, kernel 4.11.3-300.fc26.x86_64
Comment 17 Peifeng Liu 2017-06-13 12:59 EDT
Created attachment 1287384 [details]
Kernel log, XPS 15+Fedora 26 Alpha, vanilla kernel 4.12.0-rc5

I blindly tried 4.12.0-rc5, no luck. Behavior same as 4.11.3-300.fc26.x86_64.
Comment 18 Dmitry 2017-07-12 03:19:52 EDT
Tried to install Fedora 26 from a liveusb to a new dell xps 15 9560 - got same problem
Comment 19 Galen Lynch 2017-07-23 09:55:48 EDT
@Ben Skeggs it is my understanding that acpi_rev_override would not work with the standard kernel because fedora kernels are compile without the CONFIG_ACPI_REV_OVERRIDE_POSSIBLE flag enabled.
Comment 20 Dmitry 2017-07-23 10:57:41 EDT
Eventually I managed to install Fedora 26 on dell xps 15 9560 after I set nomodeset in boot params
Comment 21 Galen Lynch 2017-07-24 15:08:52 EDT
Thanks for the advice Dmitry.

I'm not familiar enough with Linux graphics to understand the implications of using nomodeset. My understanding is that it disables kernel mode setting for both Intel and Nvidia drivers, which seems like it would negatively impact performance. Is that right?
Comment 22 Galen Lynch 2017-10-21 17:03:12 EDT
Recent kernels and nouveau have still not worked for me. I just switched to bumblebee and closed source drivers and it fixed the problem.
Comment 23 Fedora End Of Life 2017-11-16 13:52:38 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 24 Fedora End Of Life 2017-12-12 05:05:32 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 25 Peter Lemenkov 2018-06-12 07:35:27 EDT
*** Bug 1315392 has been marked as a duplicate of this bug. ***
Comment 26 Peter Lemenkov 2018-06-12 07:35:56 EDT
*** Bug 1399983 has been marked as a duplicate of this bug. ***
Comment 27 Peter Lemenkov 2018-06-12 07:36:22 EDT
*** Bug 912881 has been marked as a duplicate of this bug. ***
Comment 28 Peter Lemenkov 2018-06-12 07:37:05 EDT
*** Bug 1257347 has been marked as a duplicate of this bug. ***
Comment 29 Peter Lemenkov 2018-06-12 07:37:25 EDT
*** Bug 1054122 has been marked as a duplicate of this bug. ***
Comment 30 Peter Lemenkov 2018-06-12 07:37:58 EDT
*** Bug 1470371 has been marked as a duplicate of this bug. ***
Comment 31 Peter Lemenkov 2018-06-12 07:38:39 EDT
It's still there with kernel 4.16.12 and few older ones.

Jun 12 12:51:17 lemenkov.example.com kernel: watchdog: BUG: soft lockup - CPU#4 stuck for 22s! [Xorg:2741]
Jun 12 12:51:17 lemenkov.example.com kernel: Modules linked in: xfs fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun xt_addrtype nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilt>
Jun 12 12:51:18 lemenkov.example.com kernel:  intel_powerclamp coretemp kvm_intel mac80211 kvm irqbypass intel_cstate intel_uncore intel_rapl_perf snd_hda_intel snd_usb_audio iwlwifi btusb snd_hda_codec btrt>
Jun 12 12:51:18 lemenkov.example.com kernel: CPU: 4 PID: 2741 Comm: Xorg Not tainted 4.16.14-300.fc28.x86_64 #1
Jun 12 12:51:18 lemenkov.example.com kernel: Hardware name: LENOVO 20EGS0R60R/20EGS0R60R, BIOS GNET71WW (2.19 ) 02/05/2015
Jun 12 12:51:18 lemenkov.example.com kernel: RIP: 0010:ioread32+0x2b/0x30
Jun 12 12:51:18 lemenkov.example.com kernel: RSP: 0018:ffffabaa48d77b98 EFLAGS: 00000296 ORIG_RAX: ffffffffffffff12
Jun 12 12:51:18 lemenkov.example.com kernel: RAX: 00000000ffffffff RBX: ffff9acbe7b34800 RCX: ffffffffc08f73cc
Jun 12 12:51:18 lemenkov.example.com kernel: RDX: ffffabaa4910a014 RSI: ffffabaa4910a014 RDI: ffffabaa49009410
Jun 12 12:51:18 lemenkov.example.com kernel: RBP: ffff9acbe7b34800 R08: 0000000000000002 R09: ffffabaa48d77b9c
Jun 12 12:51:18 lemenkov.example.com kernel: R10: 0000000000000000 R11: 0000000000000001 R12: ffff9acbe75a0180
Jun 12 12:51:18 lemenkov.example.com kernel: R13: ffff9acbeb946900 R14: ffffffffffffffff R15: ffff9acbeb4830a0
Jun 12 12:51:18 lemenkov.example.com kernel: FS:  00007f4850578ac0(0000) GS:ffff9acbfe300000(0000) knlGS:0000000000000000
Jun 12 12:51:18 lemenkov.example.com kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jun 12 12:51:18 lemenkov.example.com kernel: CR2: 00007f271c00b000 CR3: 000000042e29e001 CR4: 00000000001606e0
Jun 12 12:51:18 lemenkov.example.com kernel: Call Trace:
Jun 12 12:51:18 lemenkov.example.com kernel:  nv04_timer_read+0x1d/0x60 [nouveau]
Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_pmu_reset+0x62/0x160 [nouveau]
Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_subdev_preinit+0x32/0x100 [nouveau]
Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_device_init+0x5d/0x280 [nouveau]
Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_udevice_init+0x41/0x60 [nouveau]
Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_object_init+0x3e/0x100 [nouveau]
Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_object_init+0x71/0x100 [nouveau]
Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_object_init+0x71/0x100 [nouveau]
Jun 12 12:51:18 lemenkov.example.com kernel:  nouveau_do_resume+0x28/0x150 [nouveau]
Jun 12 12:51:18 lemenkov.example.com kernel:  nouveau_pmops_runtime_resume+0x8c/0x160 [nouveau]
Jun 12 12:51:18 lemenkov.example.com kernel:  ? pci_restore_standard_config+0x40/0x40
Jun 12 12:51:18 lemenkov.example.com kernel:  pci_pm_runtime_resume+0x78/0xb0
Jun 12 12:51:18 lemenkov.example.com kernel:  __rpm_callback+0xca/0x210
Jun 12 12:51:18 lemenkov.example.com kernel:  ? pci_restore_standard_config+0x40/0x40
Jun 12 12:51:18 lemenkov.example.com kernel:  rpm_callback+0x1f/0x70
Jun 12 12:51:18 lemenkov.example.com kernel:  ? pci_restore_standard_config+0x40/0x40
Jun 12 12:51:18 lemenkov.example.com kernel:  rpm_resume+0x560/0x780
Jun 12 12:51:18 lemenkov.example.com kernel:  __pm_runtime_resume+0x47/0x70
Jun 12 12:51:18 lemenkov.example.com kernel:  nouveau_drm_ioctl+0x35/0xc0 [nouveau]
Jun 12 12:51:18 lemenkov.example.com kernel:  do_vfs_ioctl+0xa4/0x610
Jun 12 12:51:18 lemenkov.example.com kernel:  SyS_ioctl+0x74/0x80
Jun 12 12:51:18 lemenkov.example.com kernel:  do_syscall_64+0x74/0x180
Jun 12 12:51:18 lemenkov.example.com kernel:  entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Jun 12 12:51:18 lemenkov.example.com kernel: RIP: 0033:0x7f484d7fbdf7
Jun 12 12:51:18 lemenkov.example.com kernel: RSP: 002b:00007ffdf1710518 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Jun 12 12:51:18 lemenkov.example.com kernel: RAX: ffffffffffffffda RBX: 00000000025cab80 RCX: 00007f484d7fbdf7
Jun 12 12:51:18 lemenkov.example.com kernel: RDX: 00007ffdf1710564 RSI: 00000000c00464b4 RDI: 000000000000000d
Jun 12 12:51:18 lemenkov.example.com kernel: RBP: 00007ffdf1710564 R08: 00000000025d1730 R09: 0000000000000007
Jun 12 12:51:18 lemenkov.example.com kernel: R10: fffffffffffffc86 R11: 0000000000000246 R12: 00000000c00464b4
Jun 12 12:51:18 lemenkov.example.com kernel: R13: 000000000000000d R14: 000000000084f438 R15: 0000000000830c18
Jun 12 12:51:18 lemenkov.example.com kernel: Code: 48 81 ff ff ff 03 00 77 20 48 81 ff 00 00 01 00 76 05 0f b7 d7 ed c3 48 c7 c6 89 ac 0e b7 e8 2d ff ff ff b8 ff ff ff ff c3 8b 07 <c3> 0f 1f 40 00 48 89 f2 4>


Im my case it's x86_64 so I believe CPU architecture doesn't matter here.
Comment 32 Karol Herbst 2018-06-12 07:51:13 EDT
(In reply to Peter Lemenkov from comment #31)
> It's still there with kernel 4.16.12 and few older ones.
> 
> Jun 12 12:51:17 lemenkov.example.com kernel: watchdog: BUG: soft lockup -
> CPU#4 stuck for 22s! [Xorg:2741]
> Jun 12 12:51:17 lemenkov.example.com kernel: Modules linked in: xfs fuse ccm
> xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun xt_addrtype
> nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilt>
> Jun 12 12:51:18 lemenkov.example.com kernel:  intel_powerclamp coretemp
> kvm_intel mac80211 kvm irqbypass intel_cstate intel_uncore intel_rapl_perf
> snd_hda_intel snd_usb_audio iwlwifi btusb snd_hda_codec btrt>
> Jun 12 12:51:18 lemenkov.example.com kernel: CPU: 4 PID: 2741 Comm: Xorg Not
> tainted 4.16.14-300.fc28.x86_64 #1
> Jun 12 12:51:18 lemenkov.example.com kernel: Hardware name: LENOVO
> 20EGS0R60R/20EGS0R60R, BIOS GNET71WW (2.19 ) 02/05/2015
> Jun 12 12:51:18 lemenkov.example.com kernel: RIP: 0010:ioread32+0x2b/0x30
> Jun 12 12:51:18 lemenkov.example.com kernel: RSP: 0018:ffffabaa48d77b98
> EFLAGS: 00000296 ORIG_RAX: ffffffffffffff12
> Jun 12 12:51:18 lemenkov.example.com kernel: RAX: 00000000ffffffff RBX:
> ffff9acbe7b34800 RCX: ffffffffc08f73cc
> Jun 12 12:51:18 lemenkov.example.com kernel: RDX: ffffabaa4910a014 RSI:
> ffffabaa4910a014 RDI: ffffabaa49009410
> Jun 12 12:51:18 lemenkov.example.com kernel: RBP: ffff9acbe7b34800 R08:
> 0000000000000002 R09: ffffabaa48d77b9c
> Jun 12 12:51:18 lemenkov.example.com kernel: R10: 0000000000000000 R11:
> 0000000000000001 R12: ffff9acbe75a0180
> Jun 12 12:51:18 lemenkov.example.com kernel: R13: ffff9acbeb946900 R14:
> ffffffffffffffff R15: ffff9acbeb4830a0
> Jun 12 12:51:18 lemenkov.example.com kernel: FS:  00007f4850578ac0(0000)
> GS:ffff9acbfe300000(0000) knlGS:0000000000000000
> Jun 12 12:51:18 lemenkov.example.com kernel: CS:  0010 DS: 0000 ES: 0000
> CR0: 0000000080050033
> Jun 12 12:51:18 lemenkov.example.com kernel: CR2: 00007f271c00b000 CR3:
> 000000042e29e001 CR4: 00000000001606e0
> Jun 12 12:51:18 lemenkov.example.com kernel: Call Trace:
> Jun 12 12:51:18 lemenkov.example.com kernel:  nv04_timer_read+0x1d/0x60
> [nouveau]
> Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_pmu_reset+0x62/0x160
> [nouveau]
> Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_subdev_preinit+0x32/0x100
> [nouveau]
> Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_device_init+0x5d/0x280
> [nouveau]
> Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_udevice_init+0x41/0x60
> [nouveau]
> Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_object_init+0x3e/0x100
> [nouveau]
> Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_object_init+0x71/0x100
> [nouveau]
> Jun 12 12:51:18 lemenkov.example.com kernel:  nvkm_object_init+0x71/0x100
> [nouveau]
> Jun 12 12:51:18 lemenkov.example.com kernel:  nouveau_do_resume+0x28/0x150
> [nouveau]
> Jun 12 12:51:18 lemenkov.example.com kernel: 
> nouveau_pmops_runtime_resume+0x8c/0x160 [nouveau]
> Jun 12 12:51:18 lemenkov.example.com kernel:  ?
> pci_restore_standard_config+0x40/0x40
> Jun 12 12:51:18 lemenkov.example.com kernel:  pci_pm_runtime_resume+0x78/0xb0
> Jun 12 12:51:18 lemenkov.example.com kernel:  __rpm_callback+0xca/0x210
> Jun 12 12:51:18 lemenkov.example.com kernel:  ?
> pci_restore_standard_config+0x40/0x40
> Jun 12 12:51:18 lemenkov.example.com kernel:  rpm_callback+0x1f/0x70
> Jun 12 12:51:18 lemenkov.example.com kernel:  ?
> pci_restore_standard_config+0x40/0x40
> Jun 12 12:51:18 lemenkov.example.com kernel:  rpm_resume+0x560/0x780
> Jun 12 12:51:18 lemenkov.example.com kernel:  __pm_runtime_resume+0x47/0x70
> Jun 12 12:51:18 lemenkov.example.com kernel:  nouveau_drm_ioctl+0x35/0xc0
> [nouveau]
> Jun 12 12:51:18 lemenkov.example.com kernel:  do_vfs_ioctl+0xa4/0x610
> Jun 12 12:51:18 lemenkov.example.com kernel:  SyS_ioctl+0x74/0x80
> Jun 12 12:51:18 lemenkov.example.com kernel:  do_syscall_64+0x74/0x180
> Jun 12 12:51:18 lemenkov.example.com kernel: 
> entry_SYSCALL_64_after_hwframe+0x3d/0xa2
> Jun 12 12:51:18 lemenkov.example.com kernel: RIP: 0033:0x7f484d7fbdf7
> Jun 12 12:51:18 lemenkov.example.com kernel: RSP: 002b:00007ffdf1710518
> EFLAGS: 00000246 ORIG_RAX: 0000000000000010
> Jun 12 12:51:18 lemenkov.example.com kernel: RAX: ffffffffffffffda RBX:
> 00000000025cab80 RCX: 00007f484d7fbdf7
> Jun 12 12:51:18 lemenkov.example.com kernel: RDX: 00007ffdf1710564 RSI:
> 00000000c00464b4 RDI: 000000000000000d
> Jun 12 12:51:18 lemenkov.example.com kernel: RBP: 00007ffdf1710564 R08:
> 00000000025d1730 R09: 0000000000000007
> Jun 12 12:51:18 lemenkov.example.com kernel: R10: fffffffffffffc86 R11:
> 0000000000000246 R12: 00000000c00464b4
> Jun 12 12:51:18 lemenkov.example.com kernel: R13: 000000000000000d R14:
> 000000000084f438 R15: 0000000000830c18
> Jun 12 12:51:18 lemenkov.example.com kernel: Code: 48 81 ff ff ff 03 00 77
> 20 48 81 ff 00 00 01 00 76 05 0f b7 d7 ed c3 48 c7 c6 89 ac 0e b7 e8 2d ff
> ff ff b8 ff ff ff ff c3 8b 07 <c3> 0f 1f 40 00 48 89 f2 4>
> 
> 
> Im my case it's x86_64 so I believe CPU architecture doesn't matter here.

are you able to boot with nouveau.runpm=0 set?
Comment 33 Peter Lemenkov 2018-06-15 06:40:41 EDT
(In reply to Karol Herbst from comment #32)
> 
> are you able to boot with nouveau.runpm=0 set?

Hello Karol,

Yes it solved the issue!

Also I was able to boot to GNOME on my Lenovo W541 while attached to dock-station with secondary monitor plugged in. This wasn't possible before - I had to deattach laptop, boot to gnome-shell, and then (and only then) attach laptop to dock-station. But it looks like a different issue (something which might be related to bug 1549042, bug 1426245, or bug 1527669).
Comment 34 Takayuki Nagata 2018-07-18 02:50:07 EDT
The similar soft lockup occurred in 4.17.4-200.fc28.x86_64.

~~~
[532008.646574] video LNXVIDEO:01: Cannot transition to power state D0 for parent in D3cold
[532008.646577] pci_raw_set_power_state: 67 callbacks suppressed
[532008.646579] nouveau 0000:01:00.0: Refused to change power state, currently in D3
[532008.706767] video LNXVIDEO:01: Cannot transition to power state D0 for parent in D3cold
[532008.719557] nouveau 0000:01:00.0: Refused to change power state, currently in D3
[532008.719562] video LNXVIDEO:01: Cannot transition to power state D0 for parent in D3cold
[532008.731549] nouveau 0000:01:00.0: Refused to change power state, currently in D3
[532031.933880] watchdog: BUG: soft lockup - CPU#3 stuck for 23s! [Xorg:5592]
[532031.933893] Modules linked in: rpcsec_gss_krb5 vhost_net vhost tap rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun devlink ip6
t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defr
ag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ipta
ble_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep rmi_smbus rmi_core arc4 mei_wdt iTCO_wdt iTCO_v
endor_support intel_rapl gpio_ich x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel uvcvideo kvm iwlmvm videobuf2_vmalloc snd_hda_codec_realt
ek videobuf2_memops snd_hda_codec_generic snd_hda_codec_hdmi btusb videobuf2_v4l2
[532031.933930]  mac80211 videobuf2_common btrtl btbcm btintel snd_hda_intel irqbypass intel_cstate videodev snd_hda_codec bluetooth intel_uncore in
tel_rapl_perf iwlwifi snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm joydev media cfg80211 ecdh_generic wmi_bmof thinkpad_acpi i2c_i801 snd_t
imer mei_me mei lpc_ich snd rfkill soundcore shpchp ie31200_edac nfsd auth_rpcgss nfs_acl lockd grace sunrpc xfs libcrc32c dm_crypt uas usb_storage 
nouveau i915 mxm_wmi ttm sdhci_pci i2c_algo_bit cqhci drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel sdhci ghash_clmulni_intel drm e1000e
 serio_raw mmc_core wmi video
[532031.933958] CPU: 3 PID: 5592 Comm: Xorg Kdump: loaded Not tainted 4.17.4-200.fc28.x86_64 #1
[532031.933958] Hardware name: LENOVO 20EGS0R60Z/20EGS0R60Z, BIOS GNET71WW (2.19 ) 02/05/2015
[532031.933963] RIP: 0010:ioread32+0x2b/0x30
[532031.933963] RSP: 0018:ffffc13503a1fba0 EFLAGS: 00000292 ORIG_RAX: ffffffffffffff13
[532031.933965] RAX: 00000000ffffffff RBX: ffff9f10185be800 RCX: ffffffffc05d53cc
[532031.933965] RDX: ffffc1350910a014 RSI: ffffc1350910a014 RDI: ffffc13509009400
[532031.933966] RBP: 00000000ffffffff R08: 0000000000000002 R09: ffffc13503a1fba4
[532031.933966] R10: 0000000000000000 R11: 0000000000000001 R12: ffff9f10151c70c0
[532031.933967] R13: ffff9f10107b2b40 R14: ffffffffffffffff R15: ffff9f1019da80a0
[532031.933968] FS:  00007f9b063c9ac0(0000) GS:ffff9f103e2c0000(0000) knlGS:0000000000000000
[532031.933968] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[532031.933969] CR2: 00007f9aeff02000 CR3: 00000007a262c004 CR4: 00000000001626e0
[532031.933970] Call Trace:
[532031.934003]  nv04_timer_read+0x2f/0x60 [nouveau]
[532031.934023]  nvkm_pmu_reset+0x62/0x160 [nouveau]
[532031.934036]  nvkm_subdev_preinit+0x32/0x100 [nouveau]
[532031.934055]  nvkm_device_init+0x5d/0x280 [nouveau]
[532031.934073]  nvkm_udevice_init+0x41/0x60 [nouveau]
[532031.934085]  nvkm_object_init+0x3e/0x100 [nouveau]
[532031.934096]  nvkm_object_init+0x71/0x100 [nouveau]
[532031.934107]  nvkm_object_init+0x71/0x100 [nouveau]
[532031.934109]  ? pci_restore_standard_config+0x40/0x40
[532031.934128]  nouveau_do_resume+0x28/0x150 [nouveau]
[532031.934146]  nouveau_pmops_runtime_resume+0x88/0x150 [nouveau]
[532031.934148]  pci_pm_runtime_resume+0x78/0xb0
[532031.934151]  __rpm_callback+0xca/0x210
[532031.934152]  ? pci_restore_standard_config+0x40/0x40
[532031.934153]  rpm_callback+0x1f/0x70
[532031.934155]  ? pci_restore_standard_config+0x40/0x40
[532031.934156]  rpm_resume+0x560/0x780
[532031.934166]  ? drm_mode_connector_property_set_ioctl+0x60/0x60 [drm]
[532031.934167]  __pm_runtime_resume+0x47/0x70
[532031.934187]  nouveau_drm_ioctl+0x35/0xc0 [nouveau]
[532031.934190]  do_vfs_ioctl+0xa4/0x610
[532031.934191]  ksys_ioctl+0x60/0x90
[532031.934192]  __x64_sys_ioctl+0x16/0x20
[532031.934195]  do_syscall_64+0x5b/0x160
[532031.934197]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[532031.934198] RIP: 0033:0x7f9b0363ae17
[532031.934199] RSP: 002b:00007ffd51539b78 EFLAGS: 00003246 ORIG_RAX: 0000000000000010
[532031.934200] RAX: ffffffffffffffda RBX: 00000000017e3530 RCX: 00007f9b0363ae17
[532031.934201] RDX: 00007ffd51539bb0 RSI: 00000000c05064a7 RDI: 0000000000000010
[532031.934201] RBP: 00007ffd51539bb0 R08: 00000000017db770 R09: 0000000000000007
[532031.934202] R10: 0000000000000000 R11: 0000000000003246 R12: 00000000c05064a7
[532031.934202] R13: 0000000000000010 R14: 0000000000000010 R15: 00007ffd51539bb0
[532031.934203] Code: 48 81 ff ff ff 03 00 77 20 48 81 ff 00 00 01 00 76 05 0f b7 d7 ed c3 48 c7 c6 81 7b 10 bd e8 2d ff ff ff b8 ff ff ff ff c3 8b 07 <c3> 0f 1f 40 00 48 89 f2 48 81 fe ff ff 03 00 76 04 40 88 3e c3 
~~~

Note You need to log in before you can comment on or make changes to this bug.